# Show Floors Show Floors ## Creates a new show floor record that does not already exist. - [POST /showFloors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/show-floors/createshowfloor.md): This method will auto-generate an ID and create a new show floor. If an ID is specified for the show floor, an error will be thrown. ## Returns a show floor from the system by its ID. - [DELETE /showFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/show-floors/deleteshowfloor.md): This method will delete a show floor with the specified ID. ## Returns a show floor from the system by its ID. - [GET /showFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/show-floors/getshowfloor.md): This method will look up a show floor by the specified ID and return it back. ## Partially updates a show floor with the specified ID. - [PATCH /showFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/show-floors/patchshowfloor.md): This method will patch an existing show floor with the specified ID, using the HTTP PATCH specification. ## Updates a show floor with the specified ID. - [PUT /showFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/show-floors/updateshowfloor.md): This method will update an existing show floor with the specified ID.